function massimage(idx) %(X,LAB,parts,HA,HB,HC)
% save LAB.mat
% save prot.mat
global T INFO; global myGLOBAL;
INFO.sel = idx;
D = INFO.Detected;
X = T(D(idx)).IMAGE.ORIG;
HA = myGLOBAL(D(idx)).Boundaries;  % premenna obsahujuca suradnice hraníc objektu
X = mat2gray(X);
fh = figure;
imshow(X)
hold on
for ii = 1:length(HA)     % vykreslenie hranic
    hranice1 = HA{ii};
    plot(hranice1(:,2), hranice1(:,1), 'g', 'LineWidth', 1)
end
hold off

%% otvori okno s obrazkom a detekovanymi casticami a zapne kurzor.
% Po kliknuti kurzorom na casticu alebo pozadie zobrazi ich hodnoty
title('Vystup z imageplot2.m, kliknite na casticu - zobrazenie hmotnosti casic a pozadia')
datacursormode on
dcm_obj = datacursormode(fh);
set(dcm_obj,'DisplayStyle', 'window','UpdateFcn',@myupdatefcn);


function output_txt = myupdatefcn(obj,event_obj)
% funkcia slúži na vypisovanie údajov do informačného okna vo figure.
global myGLOBAL INFO;
idx = INFO.sel;
D = INFO.Detected;
parts = myGLOBAL(D(idx)).Particles;
thinnes = myGLOBAL(D(idx)).GlobalProp.THINNES;
back = myGLOBAL(D(idx)).Background;
LAB = myGLOBAL(D(idx)).Images.LAB;
pos = get(event_obj,'Position');  %získava pozíciu kurozoru
%     load LAB.mat
%     load prot.mat
index=LAB(pos(2),pos(1));   % na zaklade znalosti pozicie pomocou suradnic najde 
                            % odpovedajucu casticu v znacenom obraze (labelled image - LAB)
                            % V LAB su castice popisane indexom 1 až do
                            % počtu častíc a pozadie má hodnotu 0
if index>0
     output_txt = {'Particle',...
                    ['Index: ',num2str(index)],...
                    ['Mass: ',num2str(parts(index).MassFinal)],...
                    ['Mass per Area: ',num2str(parts(index).MassFinal_Area)],...
                    ['Area: ',num2str(parts(index).AreaPS)],...
                    ['X:',num2str(pos(1))],...
                    ['Y: ',num2str(pos(2))],...
                    ['Thinnes: ',num2str(thinnes(index))]};
else 
    output_txt = {'Background',...
               ['Mass: ',num2str(back.Mass)],...
               ['Mass per Area: ',num2str(back.Mass_Area)],...
               ['Area: ',num2str(back.Area)],...
               ['X:',num2str(pos(1))],...
               ['Y: ',num2str(pos(2))]};
end